# CUpti_ActivityPCSamplingRecordInfo Struct Reference
[CUPTI Activity API]

The activity record for record status for PC sampling. More...

## Data Fields
uint32_t | correlationId
uint64_t | droppedSamples
CUpti_ActivityKind | kind
uint64_t | samplingPeriodInCycles
uint64_t | totalSamples

## Detailed Description

This activity records information obtained by sampling PC (CUPTI_ACTIVITY_KIND_PC_SAMPLING_RECORD_INFO).

## Field Documentation

uint32_t CUpti_ActivityPCSamplingRecordInfo::correlationId

The correlation ID of the kernel to which this result is associated.

uint64_t CUpti_ActivityPCSamplingRecordInfo::droppedSamples

Number of samples that were dropped by hardware due to backpressure/overflow.

CUpti_ActivityKind CUpti_ActivityPCSamplingRecordInfo::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_PC_SAMPLING_RECORD_INFO.

uint64_t CUpti_ActivityPCSamplingRecordInfo::samplingPeriodInCycles

Sampling period in terms of number of cycles .

uint64_t CUpti_ActivityPCSamplingRecordInfo::totalSamples

Number of times the PC was sampled for this kernel instance including all dropped samples.